Package com.databend.jdbc

## Class Interval

- java.lang.Object
- - com.databend.jdbc.Interval

    public final class Interval
    extends Object

Utility to decode interval strings emitted by Databend into `Duration`, and encode `Duration` into the microsecond literal format accepted by Databend.

### Method Summary

All Methods Static Methods Concrete Methods
`static Duration` `decode​(String value)`
`static String` `encode​(Duration duration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### decode

    public static Duration decode​(String value)

#### encode

    public static String encode​(Duration duration)